Bug 447928 - logger path in network init scripts
logger path in network init scripts
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: initscripts (Show other bugs)
5.1
All Linux
low Severity low
: rc
: ---
Assigned To: initscripts Maintenance Team
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-22 10:05 EDT by Mihai Vintila
Modified: 2009-01-20 17:16 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-20 17:16:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mihai Vintila 2008-05-22 10:05:47 EDT
All networking scripts from /etc/sysconfig/network-scripts call logger without
full path. This can prevent system from booting if let's say dcc is installed
when compiled with wrong parameters and  installs /usr/sbin/logger (see bellow)
It's not really a bug but this can be easily prevented. All /etc/init.d scripts
use full path for logger network-scripts should use it also

Something like this:
Bringing up interface eth0:
Determining IP information for eth0.../usr/sbin/logger: illegal option -- i
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
logger: [-x] [-p log_facility] [-t tag] message
Comment 1 RHEL Product and Program Management 2008-06-02 15:57:35 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 5 Mihai Vintila 2008-09-22 17:58:39 EDT
Sorry for delay, seems to e ok now.
Comment 8 errata-xmlrpc 2009-01-20 17:16:17 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-0245.html

Note You need to log in before you can comment on or make changes to this bug.